Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse

java.lang.Object
java.lang.Enum<ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol.ClientConnectionSSOPollResponse

    public static enum ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse
    extends Enum<ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.cmdcomp.ClientConnectionSSOPollResponse.PollResponse`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ERROR` | Check ConfirmationResponse for the SQLException
`POLL` | Poll again in poll_seconds seconds.
`SUCCESS` | `SUCCESS = 0;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `ERROR_VALUE` | Check ConfirmationResponse for the SQLException
`static int` | `POLL_VALUE` | Poll again in poll_seconds seconds.
`static int` | `SUCCESS_VALUE` | `SUCCESS = 0;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse>` | `internalGetValueMap()` |
`static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse SUCCESS
`SUCCESS = 0;`

### ERROR

public static final ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse ERROR

     Check ConfirmationResponse for the SQLException

`ERROR = 1;`

### POLL

public static final ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse POLL

     Poll again in poll_seconds seconds.

`POLL = 2;`

### UNRECOGNIZED

public static final ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse UNRECOGNIZED

## Field Details

### SUCCESS_VALUE

public static final int SUCCESS_VALUE
`SUCCESS = 0;`

See Also:
  Constant Field Values

### ERROR_VALUE

public static final int ERROR_VALUE

     Check ConfirmationResponse for the SQLException

`ERROR = 1;`

See Also:
  Constant Field Values

### POLL_VALUE

public static final int POLL_VALUE

     Poll again in poll_seconds seconds.

`POLL = 2;`

See Also:
  Constant Field Values

## Method Details

### values

public static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.ClientConnectionSSOPollResponse.PollResponse valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null